<bugID>1375809<Summary>[dt-addon] remove dependency between XPIProvider.jsm and devtools</Summary><Description>As DevTools are moving to an addon, and we later be maintained outside of m-c, we should remove all hardcoded dependencies between mozilla-central code and DevTools classes.

XPIProvider.jsm is communicating with DevTools to get the BrowserToolboxProcess. We should either use the DevToolsShim, that will stay in mozilla-central, or use events to communicate between the XPIProvider and the BrowserToolboxProcess.</Description></bugID>